function [parameters,ll,ht,vcvrobust,vcv,scores,diagnostics] = heavy(data,p,q,startingvals,options)
% Data is T by K.  Any column with negative values is treated as a return.
% Any column with non-negative values is treated as a realized measure
%
% P should be a K by K matrix where P(i,j) indicates the number of lags of
% the innovation term of series j in the model for column i of data
%
% Q should be a column vector where entry i indicates the number of lags 
% of the latent process for column i of data
%
data(:,any(data<0)) = data(:,any(data<0)).^2;

r = data(:,1);
